import request from '@/utils/request'

// 查询企业用户列表
export function listCompany(query) {
  return request({
    url: '/system/base/company/list',
    method: 'get',
    params: query
  })
}

// 查询企业用户详细
export function getCompany(userId) {
  return request({
    url: '/system/base/company/' + userId,
    method: 'get'
  })
}

// 新增企业用户
export function addCompany(data) {
  return request({
    url: '/system/base/company',
    method: 'post',
    data: data
  })
}

// 修改企业用户
export function updateCompany(data) {
  return request({
    url: '/system/base/company',
    method: 'put',
    data: data
  })
}

// 删除企业用户
export function delCompany(userId) {
  return request({
    url: '/system/base/company/' + userId,
    method: 'delete'
  })
}
